Plume API
Fun

/npm

Get a NPM module info

GET
/npm

Query Parameters

name*string

The module name

Length1 <= length <= 50

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/npm?name=string"
{
  "name": "string",
  "description": "string",
  "version": "string",
  "keywords": [
    "string"
  ],
  "author_username": "string",
  "author_email": "string",
  "repository_url": "string",
  "npm_url": "string",
  "dependents": 0,
  "search_score": 0,
  "downloads_yearly": 0,
  "downloads_monthly": 0,
  "downloads_weekly": 0,
  "downloads_history": {
    "count": 0,
    "start": 0,
    "end": 0
  },
  "last_published_date": "string",
  "last_published": 0
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}